Bug 1750793 (CVE-2019-1301) - CVE-2019-1301 dotnet: System.Net.Sockets.dll Socket.ConnectAsync Denial of Service
Summary: CVE-2019-1301 dotnet: System.Net.Sockets.dll Socket.ConnectAsync Denial of Se...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-1301
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1750794 1750795 1750796 1750799
Blocks: 1750787
TreeView+ depends on / blocked
 
Reported: 2019-09-10 13:34 UTC by Stefan Cornelius
Modified: 2019-09-12 12:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 12:46:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2731 None None None 2019-09-11 12:29:30 UTC
Red Hat Product Errata RHSA-2019:2732 None None None 2019-09-11 13:00:25 UTC

Description Stefan Cornelius 2019-09-10 13:34:58 UTC
An error in Socket.ConnectAsync can be exploited by unauthenticated remote attackers to cause a Denial of Service by sending specially crafted requests to a .NET Core web application.

Comment 1 Stefan Cornelius 2019-09-10 13:35:00 UTC
External References:

https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/CVE-2019-1301

Comment 4 errata-xmlrpc 2019-09-11 12:29:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2731 https://access.redhat.com/errata/RHSA-2019:2731

Comment 5 errata-xmlrpc 2019-09-11 13:00:23 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2019:2732 https://access.redhat.com/errata/RHSA-2019:2732

Comment 6 Product Security DevOps Team 2019-09-12 12:46:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-1301


Note You need to log in before you can comment on or make changes to this bug.